Skip to main content
GET
/
{tenant_slug}
/
scans
List scans
curl --request GET \
  --url https://app.cysmiq.com/api/v1/{tenant_slug}/scans \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.cysmiq.com/api/v1/{tenant_slug}/scans"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.cysmiq.com/api/v1/{tenant_slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "repository": {
    "id": "<string>",
    "full_name": "<string>"
  },
  "reference": {
    "ref": "<string>",
    "sha": "<string>"
  },
  "filters": {
    "sha": "<unknown>",
    "status": [
      "<string>"
    ]
  },
  "summary": {
    "total": "<string>",
    "by_status": "<string>"
  },
  "items": [
    {
      "id": "<string>",
      "status": "<string>",
      "result": "<unknown>",
      "ref": "<string>",
      "sha": "<string>",
      "started_at": "<string>",
      "finished_at": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use a Cysmiq API token in the Authorization header: Bearer {token}.

Path Parameters

tenant_slug
string
required

Workspace slug for the tenant context.

Query Parameters

repo
string
required
Maximum string length: 255
ref
string | null
Maximum string length: 255
sha
string | null
Pattern: ^[0-9a-fA-F]{7,40}$
status
string | null
Maximum string length: 255
limit
integer | null
Required range: 1 <= x <= 200
cursor
string | null

Response

Scan list response.

repository
object
required
reference
object | null
required
filters
object
required
summary
object
required
items
object[]
required
next_cursor
string
required